Package de.pangaea.metadataportal.config

## Class HarvesterConfig

- java.lang.Object
- - de.pangaea.metadataportal.config.HarvesterConfig

-     public final class HarvesterConfig
      extends Object

  Configuration of a panFMP harvester.
  Author:
    Uwe Schindler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `checked` |
    `Class<? extends Harvester>` | `harvesterClass` |
    `String` | `id` |
    `TargetIndexConfig` | `parent` |
    `Properties` | `properties` |
    `Config` | `root` |
    `Templates` | `xslt` |
    `Map<QName,​Object>` | `xsltParams` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HarvesterConfig​(Config root, TargetIndexConfig parent, String id)` | Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHarvesterProperty​(String value)` | Deprecated.
    `void` | `check()` | Checks, if configuration is ok.
    `void` | `setHarvesterClass​(String v)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### checked

          protected boolean checked

    - #### id

          public final String id

    - #### root

          public final Config root

    - #### parent

          public final TargetIndexConfig parent

    - #### xsltParams

          public final Map<QName,​Object> xsltParams

    - #### harvesterClass

          public Class<? extends Harvester> harvesterClass

    - #### properties

          public final Properties properties

    - #### xslt

          public Templates xslt

  - ### Constructor Detail

    - #### HarvesterConfig

          public HarvesterConfig​(Config root,
                                 TargetIndexConfig parent,
                                 String id)

      Default constructor

  - ### Method Detail

    - #### setHarvesterClass

          @PublicForDigesterUse
          @Deprecated
          public void setHarvesterClass​(String v)
                                 throws ClassNotFoundException

      Deprecated.
      Sets class name of harvester (called from Digester on config load).
      Throws:
        `ClassNotFoundException`

    - #### addHarvesterProperty

          @PublicForDigesterUse
          @Deprecated
          public void addHarvesterProperty​(String value)

      Deprecated.
      Adds property for harvester (called from Digester on config load).

    - #### check

          public void check()
                     throws Exception

      Checks, if configuration is ok. After calling this, you are not able to change anything in this instance.
      Throws:
        `Exception`